package fr.ib.nico.mediatheque1cxf.generated;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.4.5
 * 2021-12-21T14:45:35.913+01:00
 * Generated source version: 3.4.5
 *
 */
@WebServiceClient(name = "LivresService",
                  wsdlLocation = "http://localhost:9001/livres?wsdl",
                  targetNamespace = "http://service.mediatheque1cxf.nico.ib.fr/")
public class LivresService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://service.mediatheque1cxf.nico.ib.fr/", "LivresService");
    public final static QName LivresPort = new QName("http://service.mediatheque1cxf.nico.ib.fr/", "LivresPort");
    static {
        URL url = null;
        try {
            url = new URL("http://localhost:9001/livres?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(LivresService.class.getName())
                .log(java.util.logging.Level.INFO,
                     "Can not initialize the default wsdl from {0}", "http://localhost:9001/livres?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public LivresService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public LivresService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public LivresService() {
        super(WSDL_LOCATION, SERVICE);
    }

    public LivresService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public LivresService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public LivresService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }




    /**
     *
     * @return
     *     returns InterfaceLivres
     */
    @WebEndpoint(name = "LivresPort")
    public InterfaceLivres getLivresPort() {
        return super.getPort(LivresPort, InterfaceLivres.class);
    }

    /**
     *
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns InterfaceLivres
     */
    @WebEndpoint(name = "LivresPort")
    public InterfaceLivres getLivresPort(WebServiceFeature... features) {
        return super.getPort(LivresPort, InterfaceLivres.class, features);
    }

}
